
FWG Internal - Bug #23860

FWG: Staging: Web app: Forgot Password: Need to send the email verification message if the user is

not verified. 

March 04, 2025 09:43 AM - Palash Tembhurnekar

Status: Closed Start date: March 04, 2025

Priority: Normal Due date:  

Assignee: Dinesh Pedagada % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:  Spent time: 0:00 hour

Description

Without verifying the Email if user tries to do forgot password then user should receive an Email verification mail.

History

#1 - March 05, 2025 04:46 PM - Dinesh Pedagada

- Status changed from New to In Progress

#2 - March 06, 2025 04:04 AM - Dinesh Pedagada

A Email verification api is created through which it checks whether the email is verified or not. Without verifying the Email if user tries to do forgot

password then user will get to seen an error that your email is not verified and user will an receive an Email verification mail. If user tries to make

forgot password with verified mail then its shows a message and it sends a mail to user as an email is sent with reset password link.

#3 - March 06, 2025 04:04 AM - Dinesh Pedagada

- Status changed from In Progress to Resolved

#4 - March 06, 2025 06:30 AM - Palash Tembhurnekar

Verified on staging web app, Now without verifying the email id if the user tries to reset password then on Forgot Password page it shows the

message Your email is not verified. A verification email has been sent. & user receives an email verification message on mail. so here without

verifying the email id user is not able to reset the password. Done, marking it as closed

#5 - March 06, 2025 06:30 AM - Palash Tembhurnekar

- Status changed from Resolved to Closed
